%bcond_with bri

Epoch: 1

%lib_package pri 1

Summary: A C implementation of the Primary Rate ISDN specification
Name: libpri12
Version: 1.2.8
Release: 23%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.asterisk.org/
Source0: http://ftp.digium.com/pub/libpri/libpri-%{version}.tar.gz
Patch0: libpri-bri.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: /sbin/ldconfig
%lib_dependencies
Obsoletes: libpri < %{evr}
Conflicts: libpri

%description
libpri is a C implementation of the Primary Rate ISDN specification.
It was based on the Bellcore specification SR-NWT-002343 for National
ISDN.  As of May 12, 2001, it has been tested work with NI-2, Nortel
DMS-100, and Lucent 5E Custom protocols on switches from Nortel and
Lucent.

%devel_extra_Obsoletes libpri-devel < %{evr}
%devel_extra_Conflicts libpri-devel

%prep
%setup -q -n libpri-%{version}
%if %{with bri}
%patch0 -p1 -b .bri
%endif
perl -pi -e's,\$\(INSTALL_BASE\)/lib,%{_libdir},g' Makefile
perl -pi -e's,/sbin/ldconfig,:,g' Makefile

%build
make "CFLAGS=%{optflags} -fPIC"

%install
rm -rf %{buildroot}
make install INSTALL_PREFIX=%{buildroot}
/sbin/ldconfig -n %{buildroot}%{_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README TODO

%changelog
* Sat Aug 15 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.8-23
- Rename to libpri12.

* Sat Oct 11 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.8-22
- Update to 1.2.8.

* Sat Dec 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.7-21
- Update to 1.2.7.

* Mon Oct 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.6-20
- Update to 1.2.6.

* Wed Jul 11 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.5-19
- Update to 1.2.5.

* Wed Oct 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.4-13
- Rebuild w/o Fedora Extras to avoid beta bits.
- Bump epoch to superseed beta bits.

* Thu Oct 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.4-12
- Update to 1.2.4.

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.3.

* Thu Jan 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.2.

* Mon Dec 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.1.

* Mon Nov 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.

* Fri Jul 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9.

* Mon Jun 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.8.

* Fri Apr  1 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.7.

* Mon Dec 13 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

